Subject: Re: [PATCH] Makefile: add support for generating JSON compilation database

From: Philippe Blain <[email-masked]>
Date: Sun, 30 Aug 2020 18:17:55 -0400

> #
> +# Define GENERATE_COMPILATION_DATABASE to generate JSON compilation database
> +# entries during compilation if your compiler supports it, using the `-MJ` flag.
> +# The JSON entries will be placed in the `compile_commands/` directory,
> +# and the JSON compilation database can be created afterwards with
> +# `make compile_commands.json`.
> +#

I'm realizing that the way I'm describing how it works here is wrong: there is no
separate 'make compile_commands.json' step needed (it was needed in my first draft).

I'll fix that for v2.